org.eclipse.viatra.transformation.evm.specific.crud

## Enum CRUDActivationStateEnum

- java.lang.Object
- - java.lang.Enum<CRUDActivationStateEnum>
  - - org.eclipse.viatra.transformation.evm.specific.crud.CRUDActivationStateEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CRUDActivationStateEnum>, ActivationState

      public enum CRUDActivationStateEnum
      extends java.lang.Enum<CRUDActivationStateEnum>
      implements ActivationState

  This enumeration represents the possible states of an Activation with a CRUD (create/read/update/delete) operations.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.viatra.transformation.evm.api.event.ActivationState

      `ActivationState.DynamicActivationState`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CREATED`
    `DELETED`
    `FIRED`
    `INACTIVE`
    `UPDATED`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isInactive()`
    `static CRUDActivationStateEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CRUDActivationStateEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INACTIVE

          public static final CRUDActivationStateEnum INACTIVE

    - #### CREATED

          public static final CRUDActivationStateEnum CREATED

    - #### FIRED

          public static final CRUDActivationStateEnum FIRED

    - #### UPDATED

          public static final CRUDActivationStateEnum UPDATED

    - #### DELETED

          public static final CRUDActivationStateEnum DELETED

  - ### Method Detail

    - #### values

          public static CRUDActivationStateEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CRUDActivationStateEnum c : CRUDActivationStateEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CRUDActivationStateEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isInactive

          public boolean isInactive()

      Specified by:
        `isInactive` in interface `ActivationState`